#Git
![Git](https://git-scm.com/images/logo@2x.png|caption=Git)

## Page Git 

[https://git-scm.com/](https://git-scm.com/)
Git is a free and open source distributed version control system designed to handle everything from small to very large projects with speed and efficiency.
Git is easy to learn and has a tiny footprint with lightning fast performance. It outclasses SCM tools like Subversion, CVS, Perforce, and ClearCase with features like cheap local branching, convenient staging areas, and multiple workflows. 

## Wikipedia
[https://fr.wikipedia.org/wiki/Git](https://fr.wikipedia.org/wiki/Git)
Git est un logiciel de gestion de versions décentralisé. C'est un logiciel libre créé par Linus Torvalds, auteur du noyau Linux, et distribué selon les termes de la licence publique générale GNU version 2. En 2016, il s’agit du logiciel de gestion de versions le plus populaire qui est utilisé par plus de douze millions de personnes. 


## Logiciel de gestion de versions
[https://fr.wikipedia.org/wiki/Git](https://fr.wikipedia.org/wiki/Logiciel_de_gestion_de_versions)
Un logiciel de gestion de versions (ou VCS en anglais, pour version control system) est un logiciel qui permet de stocker un ensemble de fichiers en conservant la chronologie de toutes les modifications qui ont été effectuées dessus. Il permet notamment de retrouver les différentes versions d'un lot de fichiers connexes.

Il existe aussi des logiciels et services de gestion de versions décentralisé (distribué) (ou DVCS en anglais, pour distributed version control system). Git et Mercurial1 sont deux exemples de logiciels de gestion de versions décentralisés et sont disponibles sur la plupart des systèmes Unix et Windows.

Les logiciels de gestion de versions sont utilisés notamment en développement logiciel pour conserver le code source relatif aux différentes versions d'un logiciel. 

## Fonctionnement

Git possède deux structures de données : une base d'objets et un cache de répertoires. Il existe quatre types d'objets :

l'objet blob (pour binary large object désignant un ensemble de données brutes7), qui représente le contenu d'un fichier ;
l'objet tree (mot anglais signifiant arbre), qui décrit une arborescence de fichiers. Il est constitué d'une liste d'objets de type blobs et des informations qui leur sont associées, tel que le nom du fichier et les permissions. Il peut contenir récursivement d'autres trees pour représenter les sous-répertoires ;
l'objet commit (résultat de l'opération du même nom signifiant « valider une transaction »8), qui correspond à une arborescence de fichiers (tree) enrichie de métadonnées comme un message de description, le nom de l'auteur, etc. Il pointe également vers un ou plusieurs objets commit parents pour former un graphe d'historiques7 ;
l'objet tag (étiquette) qui est une manière de nommer arbitrairement un commit spécifique pour l'identifier plus facilement. Il est en général utilisé pour marquer certains commits, par exemple par un numéro ou un nom de version (2.1 ou bien Lucid Lynx).


## Sites d’hébergement

Il existe différents sites (également appelées forges) généralistes d'hébergement, ainsi que des sites dédiés à des développements en particulier, acceptant des projets liés d'utilisateur, comme l'instance cgit de Kernel.org (noyau Linux) ou les instances Gitlab de Freedesktop.org, Gnome, KDE ou Freedesktop.org, ou encore de Blender.

Framagit, site communautaire associatif libre de Framasoft, basé sur Gitlab.
GitHub est un service web d'hébergement et de gestion de développement de logiciels développé en Ruby on Rails et Erlang, qui appartient à Microsoft depuis juin 2018 ;
GitLab.com équivalent à GitHub et développé en Ruby, évolution du code du service Gitorious, racheté en mars 2015, le code source est disponible et utilisé par différentes autres forges ;
GNU Savannah, permettant également l'utilisation de Mercurial, dépôt officiel de la Free Software Foundation ;
SourceForge.net, probablement le plus ancien, ouvert en 1999, il utilisait CVS à ses débuts, avant de passer à Subversion (SVN), puis récemment à Git également. Il utilise aujourd'hui Apache Allura.




